iTunes

Opening the iTunes Store.If iTunes doesn’t open, click the iTunes icon in your Dock or on your Windows desktop.Progress Indicator
Opening the iBooks Store.If iBooks doesn't open, click the iBooks app in your Dock.Progress Indicator
iTunes

iTunes is the world's easiest way to organize and add to your digital media collection.

We are unable to find iTunes on your computer. To download from the iTunes Store, get iTunes now.

Do you already have iTunes? Click I Have iTunes to open it now.

I Have iTunes Free Download

Using Swift with Cocoa and Objective-C (Swift 4.0.3)

Swift Programming Series

This book can be downloaded and read in iBooks on your Mac or iOS device.

Description

Swift is a programming language for iOS, macOS, watchOS, and tvOS app development. It is designed to seamlessly integrate with Cocoa, Cocoa Touch, and Objective-C, allowing you to use the same familiar classes, patterns, and practices to build apps. Swift makes working with Cocoa and Objective-C safer, faster, easier, and more fun. 

This book provides:
– An overview of a Swift Xcode project
– Design patterns and best practices for working with Cocoa, Objective-C, and C
– Step–by–step instructions to use Swift and Objective-C in the same app
– Strategies to migrate your Objective-C code to Swift

Screenshots

screenshot 1
screenshot 2
screenshot 3
screenshot 4
screenshot 5

Customer Reviews

Everything you need to mix and match Objective-C and Swift

This book contains all the material you need to incorporate Objective-C (and some C) code in your Swift application (including code from Apple Cocoa Frameworks), and also how to migrate applications from Objective-C to Swift.

Other Books in This Series

Using Swift with Cocoa and Objective-C (Swift 4.0.3)
View in iTunes
  • Free
  • Available on iPhone, iPad, iPod touch, and Mac.
  • Category: Programming
  • Published: 02 June 2014
  • Publisher: Apple Inc.
  • Print Length: 100 Pages
  • Language: English
  • Series: Swift Programming Series
  • Requirements: To view this book, you must have an iOS device with iBooks 1.5 or later and iOS 4.3.3 or later, or a Mac with iBooks 1.0 or later and OS X 10.9 or later.

Customer Ratings